curl --request GET \
--url https://api.example.com/api/v1/contents/{content_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.example.com/api/v1/contents/{content_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.example.com/api/v1/contents/{content_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"name": "<string>",
"description": "<string>",
"metadata": {},
"type": "<string>",
"size": 123,
"status": "<string>",
"sync_status": "<string>",
"status_message": "<string>",
"content_hash": "<string>",
"file_data": {},
"definition": "<string>",
"created_at": 123,
"updated_at": 123,
"external_id": "<string>",
"collection_id": "<string>",
"workspace_id": "<string>",
"config": {},
"linked_to": "<string>",
"access_count": 123
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Get Content
Get a single content by ID.
Returns detailed information about a specific content item including metadata, file information, and processing status.
Args: content_id: The unique identifier for the content
Returns: Content details
Example: GET /contents/con_abc123xyz
Raises: 404: If content not found or not accessible
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
The workspace ID
Path Parameters
Response
Successful Response
Schema for reading content.
Content ID
Content name
Content description
Content metadata
Content type/MIME type
Content size in bytes
Content processing status
Sync status
Status message
Content hash
File data information
Content definition
Creation timestamp
Update timestamp
External system ID
Collection ID
Workspace ID
Content configuration
Linked content ID
Number of times accessed